Bug 843054 - nsswitch doesn't implement getaddrinfo(), plugins cannot supply link-local IPv6 addresses with scope id
nsswitch doesn't implement getaddrinfo(), plugins cannot supply link-local IP...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Carlos O'Donell
Fedora Extras Quality Assurance
: Reopened
: 1118723 (view as bug list)
Depends On:
Blocks: 719178 887577
  Show dependency treegraph
 
Reported: 2012-07-25 08:50 EDT by Pavel Šimerda (pavlix)
Modified: 2016-11-24 05:42 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-25 10:03:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 14413 None None None Never
Sourceware 19565 None None None 2016-02-04 11:03 EST

  None (edit)
Description Pavel Šimerda (pavlix) 2012-07-25 08:50:17 EDT
GLIBC's name service switch doesn't provide a way to override getaddressinfo()
which is the only function that supports IPv6 link-local addresses.

IPv6 link-local addresses don't work without the interface name (when
written as text) that then translates to scope id.

http://tools.ietf.org/html/rfc2553

glibc-2.15-37.fc17.x86_64
Comment 1 Jeff Law 2012-07-25 10:03:34 EDT
Adding an override for getaddressinfo is something that would have to happen upstream.  As for the state of resolving ::1 style addresses, it's going to have to be reevaluated given the problems it's causing, it's on my list of things to reevaluate, but keeps getting preempted by burning issues.  See 808148.
Comment 2 Pavel Šimerda (pavlix) 2012-07-26 04:51:33 EDT
Just a sidenote that could help, FreeBSD is implementing this? How do we keep track of enhancement requests like this if they're closed UPSTREAM?
Comment 3 Jeff Law 2012-07-26 14:40:40 EDT
Best thing to do is open a report upstream.

http://sourceware.org/bugzilla

You're in a better position to argue for what you need that I -- I'm really just a caretaker for glibc for RHEL/Fedora until we can someone with more domain specific knowledge and an interest in the code.
Comment 4 Pavel Šimerda (pavlix) 2012-07-27 11:14:45 EDT
Thanks, Jeff.

Upstream bug: http://sourceware.org/bugzilla/show_bug.cgi?id=14413
Comment 5 Pavel Šimerda (pavlix) 2012-12-18 09:15:06 EST
Jeff, I need this to be tracked for Fedora features. I can assign it to myself if you wish so.
Comment 6 Jeff Law 2012-12-19 12:05:59 EST
That fine.  Assign it to yourself or Carlos (codonell@redhat.com).  With Carlos officially on board, I'll be transferring my glibc responsibilities to him.
Comment 7 Fedora Admin XMLRPC Client 2013-01-28 15:07:57 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2013-07-04 01:43:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Jan Kurik 2015-07-15 11:05:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 10 Florian Weimer 2016-02-04 11:02:22 EST
*** Bug 1118723 has been marked as a duplicate of this bug. ***
Comment 11 Fedora End Of Life 2016-11-24 05:42:35 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.